from dqc_wrapper.test03_temporal_completeness import TemporalCompletenessTest
from dqc_wrapper import checker
from dqc_wrapper.unit_tests.conftest import dirs
import pytest
from pathlib import Path

def test_check_timestamps():
    # Mocked nc is temporal complete
    test = TemporalCompletenessTest([dirs.nc_file], dirs.test_dir, '', 'tas',
                                    '', '', 'no')
    response = test.check_timestamps()
    assert response[0] == 'ok'

    # Mocked grib isn't
    test = TemporalCompletenessTest([dirs.grib_file], dirs.test_dir, '',
                                    'tas', '', '', 'no')
    response = test.check_timestamps()
    assert response[0] == 'err'


if __name__ == "__main__":
    test_check_timestamps()